=head1 NAME

Net::Jabber::Loudmouth::Message -  Jabber message

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Net::Jabber::Loudmouth::Message



=cut

=for object Net::Jabber::Loudmouth::Message Jabber message

=cut




=head1 METHODS

=head2 message = Net::Jabber::Loudmouth::Message-E<gt>B<new> ($to, $type)

=over

=item * $to (string) 

=item * $type (Net::Jabber::Loudmouth::MessageType) 

=back

=head2 message = Net::Jabber::Loudmouth::Message-E<gt>B<new_with_sub_type> ($to, $type, $sub_type)

=over

=item * $to (string) 

=item * $type (Net::Jabber::Loudmouth::MessageType) 

=item * $sub_type (Net::Jabber::Loudmouth::MessageSubType) 

=back

=head2 messagenode = $message-E<gt>B<get_node> 

=head2 messagesubtype = $message-E<gt>B<get_sub_type> 

=head2 messagetype = $message-E<gt>B<get_type> 



=cut


=head1 ENUMS AND FLAGS

=head2 enum Net::Jabber::Loudmouth::MessageSubType

=over

=item * 'not-set' / 'LM_MESSAGE_SUB_TYPE_NOT_SET'

=item * 'available' / 'LM_MESSAGE_SUB_TYPE_AVAILABLE'

=item * 'normal' / 'LM_MESSAGE_SUB_TYPE_NORMAL'

=item * 'chat' / 'LM_MESSAGE_SUB_TYPE_CHAT'

=item * 'groupchat' / 'LM_MESSAGE_SUB_TYPE_GROUPCHAT'

=item * 'headline' / 'LM_MESSAGE_SUB_TYPE_HEADLINE'

=item * 'unavailable' / 'LM_MESSAGE_SUB_TYPE_UNAVAILABLE'

=item * 'probe' / 'LM_MESSAGE_SUB_TYPE_PROBE'

=item * 'subscribe' / 'LM_MESSAGE_SUB_TYPE_SUBSCRIBE'

=item * 'unsubscribe' / 'LM_MESSAGE_SUB_TYPE_UNSUBSCRIBE'

=item * 'subscribed' / 'LM_MESSAGE_SUB_TYPE_SUBSCRIBED'

=item * 'unsubscribed' / 'LM_MESSAGE_SUB_TYPE_UNSUBSCRIBED'

=item * 'get' / 'LM_MESSAGE_SUB_TYPE_GET'

=item * 'set' / 'LM_MESSAGE_SUB_TYPE_SET'

=item * 'result' / 'LM_MESSAGE_SUB_TYPE_RESULT'

=item * 'error' / 'LM_MESSAGE_SUB_TYPE_ERROR'

=back


=head2 enum Net::Jabber::Loudmouth::MessageType

=over

=item * 'message' / 'LM_MESSAGE_TYPE_MESSAGE'

=item * 'presence' / 'LM_MESSAGE_TYPE_PRESENCE'

=item * 'iq' / 'LM_MESSAGE_TYPE_IQ'

=item * 'stream' / 'LM_MESSAGE_TYPE_STREAM'

=item * 'stream-error' / 'LM_MESSAGE_TYPE_STREAM_ERROR'

=item * 'stream-features' / 'LM_MESSAGE_TYPE_STREAM_FEATURES'

=item * 'auth' / 'LM_MESSAGE_TYPE_AUTH'

=item * 'challenge' / 'LM_MESSAGE_TYPE_CHALLENGE'

=item * 'response' / 'LM_MESSAGE_TYPE_RESPONSE'

=item * 'success' / 'LM_MESSAGE_TYPE_SUCCESS'

=item * 'failure' / 'LM_MESSAGE_TYPE_FAILURE'

=item * 'proceed' / 'LM_MESSAGE_TYPE_PROCEED'

=item * 'starttls' / 'LM_MESSAGE_TYPE_STARTTLS'

=item * 'unknown' / 'LM_MESSAGE_TYPE_UNKNOWN'

=back




=cut


=head1 SEE ALSO

L<Net::Jabber::Loudmouth>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2005 by Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.


=cut

